path: /build/build/qtspeech-dev-qt-5-5.15.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|>=app-accessibility/flite-2\[alsa.*|app-accessibility/flite|g' /var/git/meta-repo/kits/qt-kit/dev-qt/qtspeech/qtspeech-5.15.2_p20231228.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test alsa flite" emerge dev-qt/qtspeech:5 -pv -t && \
    USE="-test alsa flite" emerge -j ${JOBS} --nodeps dev-qt/qtspeech:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtspeech && luet-portage --dir /pkgdir/qtspeech
    dev-qt/qtspeech:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:757e96fae2d327dbfa59ac9eefee56ca94edca5f53f215a0d8ef00b416b567ee
  package:
    name: qtspeech
    version: 5.15.2+1
    category: dev-qt-5
    use_flags:
    - -test
    - alsa
    - flite
    requires:
    - name: libkdcraw
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Text-to-speech library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-02-14 21:41:12.313865078 +0000 UTC m=+134.219641790
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: '>=app-accessibility/speech-dispatcher-0.8.7 =dev-qt/qtcore-5.15.2*
        flite? ( >=app-accessibility/flite-2[alsa?] =dev-qt/qtmultimedia-5.15.2*[alsa?]
        alsa? ( media-libs/alsa-lib ) ) test? ( =dev-qt/qttest-5.15.2* )'
      IUSE: alsa flite debug test
      RDEPEND: '>=app-accessibility/speech-dispatcher-0.8.7 =dev-qt/qtcore-5.15.2*
        flite? ( >=app-accessibility/flite-2[alsa?] =dev-qt/qtmultimedia-5.15.2*[alsa?]
        alsa? ( media-libs/alsa-lib ) )'
      emerge.packages: dev-qt/qtspeech:5
      kit: qt-kit
      original.package.name: dev-qt/qtspeech
      original.package.slot: "5"
      original.package.version: 5.15.2_p20231228
    treedir: /build/packages
  package_dir: /pkgdir/qtspeech
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 40b00ae1876e0a9f2c19f57976a2e09c0ddb343c90475c4b619b169a6da8e47e
compressiontype: zstd
files:
- usr/include/qt5/QtTextToSpeech/5.15.12/QtTextToSpeech/private/qtexttospeech_p.h
- usr/include/qt5/QtTextToSpeech/5.15.12/QtTextToSpeech/private/qttexttospeech-config_p.h
- usr/include/qt5/QtTextToSpeech/5.15.12/QtTextToSpeech/private/qvoice_p.h
- usr/include/qt5/QtTextToSpeech/QTextToSpeech
- usr/include/qt5/QtTextToSpeech/QTextToSpeechEngine
- usr/include/qt5/QtTextToSpeech/QTextToSpeechPlugin
- usr/include/qt5/QtTextToSpeech/QVoice
- usr/include/qt5/QtTextToSpeech/QtTextToSpeech
- usr/include/qt5/QtTextToSpeech/QtTextToSpeechDepends
- usr/include/qt5/QtTextToSpeech/QtTextToSpeechVersion
- usr/include/qt5/QtTextToSpeech/qtexttospeech.h
- usr/include/qt5/QtTextToSpeech/qtexttospeech_global.h
- usr/include/qt5/QtTextToSpeech/qtexttospeechengine.h
- usr/include/qt5/QtTextToSpeech/qtexttospeechplugin.h
- usr/include/qt5/QtTextToSpeech/qttexttospeech-config.h
- usr/include/qt5/QtTextToSpeech/qttexttospeechversion.h
- usr/include/qt5/QtTextToSpeech/qvoice.h
- usr/lib64/cmake/Qt5TextToSpeech/Qt5TextToSpeechConfig.cmake
- usr/lib64/cmake/Qt5TextToSpeech/Qt5TextToSpeechConfigVersion.cmake
- usr/lib64/cmake/Qt5TextToSpeech/Qt5TextToSpeech_QTextToSpeechPluginSpeechd.cmake
- usr/lib64/libQt5TextToSpeech.prl
- usr/lib64/libQt5TextToSpeech.so
- usr/lib64/libQt5TextToSpeech.so.5
- usr/lib64/libQt5TextToSpeech.so.5.15
- usr/lib64/libQt5TextToSpeech.so.5.15.12
- usr/lib64/pkgconfig/Qt5TextToSpeech.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_texttospeech.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_texttospeech_private.pri
- usr/lib64/qt5/plugins/texttospeech/libqtexttospeech_speechd.so
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/BDEPEND
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/BUILD_TIME
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CATEGORY
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CBUILD
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CFLAGS
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CHOST
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CONTENTS
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/COUNTER
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/CXXFLAGS
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/DEFINED_PHASES
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/DEPEND
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/DESCRIPTION
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/EAPI
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/FEATURES
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/HOMEPAGE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/INHERITED
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/IUSE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/KEYWORDS
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/LDFLAGS
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/LICENSE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/NEEDED
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/PF
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/PROVIDES
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/RDEPEND
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/REQUIRES
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/RESTRICT
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/SIZE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/SLOT
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/USE
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/environment.bz2
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/qtspeech-5.15.2_p20231228.ebuild
- var/db/pkg/dev-qt/qtspeech-5.15.2_p20231228/repository
package_cacheimage: ""
runtime:
  name: qtspeech
  version: 5.15.2+1
  category: dev-qt-5
  use_flags:
  - -test
  - alsa
  - flite
  requires:
  - name: speech-dispatcher
    version: '>=0'
    category: app-accessibility
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtmultimedia
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Text-to-speech library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: '>=app-accessibility/speech-dispatcher-0.8.7 =dev-qt/qtcore-5.15.2* flite?
      ( >=app-accessibility/flite-2[alsa?] =dev-qt/qtmultimedia-5.15.2*[alsa?] alsa?
      ( media-libs/alsa-lib ) ) test? ( =dev-qt/qttest-5.15.2* )'
    IUSE: alsa flite debug test
    RDEPEND: '>=app-accessibility/speech-dispatcher-0.8.7 =dev-qt/qtcore-5.15.2* flite?
      ( >=app-accessibility/flite-2[alsa?] =dev-qt/qtmultimedia-5.15.2*[alsa?] alsa?
      ( media-libs/alsa-lib ) )'
    emerge.packages: dev-qt/qtspeech:5
    kit: qt-kit
    original.package.name: dev-qt/qtspeech
    original.package.slot: "5"
    original.package.version: 5.15.2_p20231228
